.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     From: @(#)ualarm.3	8.2 (Berkeley) 4/19/94
.\" $FreeBSD: src/lib/libc/gen/ualarm.3,v 1.2.2.2 1999/09/05 11:16:27 peter Exp $
.\"
.Dd April 19, 1994
.Dt UALARM 3
.Os BSD 4.3
.Sh NAME
.Nm ualarm
.Nd schedule signal after specified time
.Sh SYNOPSIS
.Fd #include <unistd.h>
.Ft u_int 
.Fn ualarm "u_int microseconds" "u_int interval"
.Sh DESCRIPTION
.Bf -symbolic
This is a simplified interface to setitimer(2).
.Ef
.Pp
The
.Fn ualarm
function
waits a count of
.Ar microseconds
before asserting the terminating signal
.Dv SIGALRM .
System activity or time used in processing the call may cause a slight
delay.
.Pp
If the
.Fa interval
argument is non-zero, the
.Dv SIGALRM
signal will be sent
to the process every
.Fa interval
microseconds after the timer expires (e.g. after
.Fa value
microseconds have passed).
.Sh RETURN VALUES
When the signal has successfully been caught,
.Fn ualarm
returns the amount of time left on the clock.
The maximum number of
.Ar microseconds
allowed
is 2147483647.
.Sh SEE ALSO
.Xr getitimer 2 ,
.Xr setitimer 2 ,
.Xr sigpause 2 ,
.Xr sigvec 2 ,
.Xr alarm 3 ,
.Xr signal 3 ,
.Xr sleep 3 ,
.Xr usleep 3
.Sh HISTORY
The
.Fn ualarm
function appeared in 
.Bx 4.3 .
